xine-lib: xine-lib-1.2.13/src/post/planar/eq.c File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Typedefs | Functions | Variables
eq.c File Reference
`#include "planar.h"`
`#include <xine/xine_internal.h>`
`#include <xine/post.h>`
`#include <xine/xineutils.h>`
`#include <pthread.h>`

## Data Structures
struct | eq_parameters_s
struct | post_plugin_eq_s

## Typedefs
typedef struct post_plugin_eq_s | post_plugin_eq_t
typedef struct eq_parameters_s | eq_parameters_t

## Functions
static void | process_C (unsigned char *dest, int dstride, unsigned char *src, int sstride, int w, int h, int brightness, int contrast)
| PARAM_ITEM (POST_PARAM_TYPE_INT, brightness, NULL, -100, 100, 0, "brightness") PARAM_ITEM(POST_PARAM_TYPE_INT
static int | set_parameters (xine_post_t *this_gen, const void *param_gen)
static int | get_parameters (xine_post_t *this_gen, void *param_gen)
static xine_post_api_descr_t * | get_param_descr (void)
static char * | get_help (void)
static void | eq_dispose (post_plugin_t *this_gen)
static int | eq_get_property (xine_video_port_t *port_gen, int property)
static int | eq_set_property (xine_video_port_t *port_gen, int property, int value)
static int | eq_intercept_frame (post_video_port_t *port, vo_frame_t *frame)
static int | eq_draw (vo_frame_t *frame, xine_stream_t *stream)
static post_plugin_t * | eq_open_plugin (post_class_t *class_gen, int inputs, xine_audio_port_t **audio_target, xine_video_port_t **video_target)
void * | eq_init_plugin (xine_t *xine, const void *data)

## Variables
static void(* | process )(unsigned char *dest, int dstride, unsigned char *src, int sstride, int w, int h, int brightness, int contrast)
| contrast
| NULL

## Typedef Documentation

## ◆ eq_parameters_t

typedef struct eq_parameters_s eq_parameters_t

## ◆ post_plugin_eq_t

typedef struct post_plugin_eq_s post_plugin_eq_t

## Function Documentation

## ◆ eq_dispose()

static void eq_dispose | ( | post_plugin_t * | this_gen | ) |
| static

References _x_post_dispose().

Referenced by eq_open_plugin().

## ◆ eq_draw()

static int eq_draw | ( | vo_frame_t * | frame,
|  | xine_stream_t * | stream )
| static

References _x_post_frame_copy_down(), _x_post_frame_copy_up(), vo_frame_s::bad_frame, vo_frame_s::base, vo_frame_s::draw, vo_frame_s::flags, vo_frame_s::format, vo_frame_s::free, xine_video_port_s::get_frame, vo_frame_s::height, vo_frame_s::lock, vo_frame_s::next, post_video_port_s::original_port, vo_frame_s::pitches, vo_frame_s::port, post_video_port_s::post, process, vo_frame_s::ratio, VO_BOTH_FIELDS, vo_frame_s::width, xine_fast_memcpy, XINE_IMGFMT_YV12, and yuy2_to_yv12.

Referenced by eq_open_plugin().

## ◆ eq_get_property()

static int eq_get_property | ( | xine_video_port_t * | port_gen,
|  | int | property )
| static

References xine_video_port_s::get_property, post_video_port_s::original_port, post_video_port_s::post, XINE_PARAM_VO_BRIGHTNESS, and XINE_PARAM_VO_CONTRAST.

Referenced by eq_open_plugin().

## ◆ eq_init_plugin()

void * eq_init_plugin | ( | xine_t * | xine,
|  | const void * | data )

References post_plugin_s::dispose, eq_open_plugin(), N_, NULL, and post_class_s::open_plugin.

## ◆ eq_intercept_frame()

static int eq_intercept_frame | ( | post_video_port_t * | port,
|  | vo_frame_t * | frame )
| static

References vo_frame_s::format, XINE_IMGFMT_YUY2, and XINE_IMGFMT_YV12.

Referenced by eq_open_plugin().

## ◆ eq_open_plugin()

static post_plugin_t * eq_open_plugin | ( | post_class_t * | class_gen,
|  | int | inputs,
|  | xine_audio_port_t ** | audio_target,
|  | xine_video_port_t ** | video_target )
| static

References _x_post_init(), _x_post_intercept_video_port(), vo_frame_s::draw, eq_dispose(), eq_draw(), eq_get_property(), eq_intercept_frame(), eq_set_property(), get_help(), get_param_descr(), get_parameters(), xine_video_port_s::get_property, input(), post_video_port_s::intercept_frame, MM_ACCEL_X86_MMX, xine_post_in_s::name, xine_post_out_s::name, post_video_port_s::new_frame, post_video_port_s::new_port, NULL, process, process_C(), set_parameters(), xine_post_api_t::set_parameters, xine_video_port_s::set_property, xine_list_push_back(), xine_mm_accel(), post_out_s::xine_out, and XINE_POST_DATA_PARAMETERS.

Referenced by eq_init_plugin().

## ◆ eq_set_property()

static int eq_set_property | ( | xine_video_port_t * | port_gen,
|  | int | property,
|  | int | value )
| static

References post_video_port_s::original_port, post_video_port_s::post, xine_video_port_s::set_property, XINE_PARAM_VO_BRIGHTNESS, and XINE_PARAM_VO_CONTRAST.

Referenced by eq_open_plugin().

## ◆ get_help()

static char * get_help | ( | void |  | ) |
| static

References _.

Referenced by eq_open_plugin().

## ◆ get_param_descr()

static xine_post_api_descr_t * get_param_descr | ( | void |  | ) |
| static

Referenced by eq_open_plugin().

## ◆ get_parameters()

static int get_parameters | ( | xine_post_t * | this_gen,
|  | void * | param_gen )
| static

Referenced by eq_open_plugin().

## ◆ PARAM_ITEM()

PARAM_ITEM | ( | POST_PARAM_TYPE_INT | ,
|  | brightness | ,
|  | NULL | ,
|  | - | 100,
|  | 100 | ,
|  | 0 | ,
|  | "brightness" | )

## ◆ process_C()

static void process_C | ( | unsigned char * | dest,
|  | int | dstride,
|  | unsigned char * | src,
|  | int | sstride,
|  | int | w,
|  | int | h,
|  | int | brightness,
|  | int | contrast )
| static

References contrast.

Referenced by eq_open_plugin().

## ◆ set_parameters()

static int set_parameters | ( | xine_post_t * | this_gen,
|  | const void * | param_gen )
| static

Referenced by eq_open_plugin().

## Variable Documentation

## ◆ contrast

contrast

Referenced by _yuv2rgb_set_csc_levels(), opengl2_get_property(), opengl2_open_plugin(), opengl2_set_property(), opengl2_update_csc_matrix(), opengl_frame_proc_slice(), opengl_get_property(), opengl_open_plugin(), opengl_set_property(), process_C(), render_setup_fp_yuv(), vaapi_update_csc(), vdpau_get_property(), vdpau_open_plugin(), vdpau_set_property(), vdpau_update_csc_matrix(), xshm_frame_proc_setup(), xshm_frame_proc_setup(), xshm_get_property(), xshm_get_property(), xshm_open_plugin(), xshm_open_plugin_2(), xshm_set_property(), xshm_set_property(), and yuv2rgb_set_csc_levels().

## ◆ NULL

NULL

Referenced by eq_init_plugin(), and eq_open_plugin().

## ◆ process

void(* process) (unsigned char *dest, int dstride, unsigned char *src, int sstride, int w, int h, int brightness, int contrast) | ( | unsigned char * | dest,
|  | int | dstride,
|  | unsigned char * | src,
|  | int | sstride,
|  | int | w,
|  | int | h,
|  | int | brightness,
|  | int | contrast )
| static

Referenced by eq_draw(), and eq_open_plugin().